[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: 2.4.25-1 debian kernel available based on -ben1 tree, G5 tester wanted.

On Tue, Mar 09, 2004 at 07:18:16PM -0500, Patrick Finnegan wrote:
> Sven Luther declared on Saturday 06 March 2004 03:58 am:
> > And also at :
> >
> >   http://people.debian.org/~luther/power3/2.4.25-2
> >
> > which contain unpacked kernels from the -power3 config.
> >
> > Known problems are :
> >
> >   pcnet ethernet driver is modular. Most power3 boxes seem to use
> > this one.
> One more problem.. no himem support.  It only uses 512MB of the 2048MB 
> Installed on the POWER3 SP node I've got it booted on.

Ok, so it worked out well, apart from that. Do you think all power3
boxes would need himem ? 

Last i tried that, for 2.4.20 or so, it failed to build though.

> What kernel version, and gcc toolchain did you use for this?  I'm not 
> sure if it's a gcc or kernel source trouble, but when I try compiling 
> the "2.4.24 with debian patches" I apt-get source'd with gcc-3.3 and 
> -3.2 in testing, I get some 'unknown opcode' errors, which either are 
> asm in the kernel files that is wrong, or gcc problems.

Mmm, could you tell me which files are involved and i can have a look at

I am using 2.4.25 + debian patches + linuxppc-benh patches.


Sven Luther

Reply to: